<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * メーカー削除完了
 *
 * @package     Admin.Datamanage.Maker.Delete.Done
 * @author      netnee T.Otogawa <tomokazu.otogawa@netnee.jp>
 * @access      public
 */
class Admin_Datamanage_Maker_Delete_Done
{
    var $c_maker;
    var $session;

    var $code;
    var $row;
    var $updcnt;
    var $upduser;

    
    var $title;
    var $actionnm;
    var $pagename;
    var $div;
    
    var $srcdispnum;        // 表示件数

    var $srcword;              //検索値
    var $srcrecommenddiv;      //おすすめ区分
    
    function execute()
    {
        $log =& LogFactory::getLog();
        $log->trace("logging", "Admin_Datamanage_Maker_Delete_Done#execute");

        $data = $this->session->getParameter("maker");
        $div = (empty($this->div)) ? 2 : 1;
        $this->row = $this->c_maker->delete($div, 
                                            $data["code"], 
                                            $data["updcnt"], 
                                            $this->upduser);
        if (!$this->row) return "input";
        return 'success';
    }
}
?>
